Package io.vertx.ext.web.validation

## Enum ParameterProcessorException.ParameterProcessorErrorType

- java.lang.Object
- - java.lang.Enum<ParameterProcessorException.ParameterProcessorErrorType>
  - - io.vertx.ext.web.validation.ParameterProcessorException.ParameterProcessorErrorType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ParameterProcessorException.ParameterProcessorErrorType>`
  Enclosing class:
    ParameterProcessorException

      public static enum ParameterProcessorException.ParameterProcessorErrorType
      extends Enum<ParameterProcessorException.ParameterProcessorErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MISSING_PARAMETER_WHEN_REQUIRED_ERROR` | Parameter is required but it's missing
    `PARSING_ERROR` | Error during parsing.
    `VALIDATION_ERROR` | Error during validation

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ParameterProcessorException.ParameterProcessorErrorType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ParameterProcessorException.ParameterProcessorErrorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MISSING_PARAMETER_WHEN_REQUIRED_ERROR

          public static final ParameterProcessorException.ParameterProcessorErrorType MISSING_PARAMETER_WHEN_REQUIRED_ERROR

      Parameter is required but it's missing

    - #### PARSING_ERROR

          public static final ParameterProcessorException.ParameterProcessorErrorType PARSING_ERROR

      Error during parsing. The cause of the exception is instance of `MalformedValueException`

    - #### VALIDATION_ERROR

          public static final ParameterProcessorException.ParameterProcessorErrorType VALIDATION_ERROR

      Error during validation

  - ### Method Detail

    - #### values

          public static ParameterProcessorException.ParameterProcessorErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParameterProcessorException.ParameterProcessorErrorType c : ParameterProcessorException.ParameterProcessorErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParameterProcessorException.ParameterProcessorErrorType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null